Design Center API

Design and share deployable application architectures.

Service: designcenter.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Discovery document

A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://designcenter.googleapis.com

REST Resource: v1alpha.projects.locations

Methods
fetchFrameworks GET /v1alpha/{parent=projects/*/locations/*}:fetchFrameworks
Fetches all frameworks for assessment report.
get GET /v1alpha/{name=projects/*/locations/*}
Gets information about a location.
list GET /v1alpha/{name=projects/*}/locations
Lists information about the supported locations for this service.

REST Resource: v1alpha.projects.locations.operations

Methods
cancel POST /v1alpha/{name=projects/*/locations/*/operations/*}:cancel
Starts asynchronous cancellation on a long-running operation.
delete DELETE /v1alpha/{name=projects/*/locations/*/operations/*}
Deletes a long-running operation.
get GET /v1alpha/{name=projects/*/locations/*/operations/*}
Gets the latest state of a long-running operation.
list GET /v1alpha/{name=projects/*/locations/*}/operations
Lists operations that match the specified filter in the request.

REST Resource: v1alpha.projects.locations.spaces

Methods
create POST /v1alpha/{parent=projects/*/locations/*}/spaces
Creates a space.
delete DELETE /v1alpha/{name=projects/*/locations/*/spaces/*}
Deletes a space.
generateAssessmentReport POST /v1alpha/{spaceName=projects/*/locations/*/spaces/*}:generateAssessmentReport
Generate a best practice report for a given Terraform plan.
get GET /v1alpha/{name=projects/*/locations/*/spaces/*}
Gets details about a space.
getIamPolicy GET /v1alpha/{resource=projects/*/locations/*/spaces/*}:getIamPolicy
Gets the access control policy for a resource.
inferConnections POST /v1alpha/{name=projects/*/locations/*/spaces/*}:inferConnections
Infers and suggests connections between components within a space.
list GET /v1alpha/{parent=projects/*/locations/*}/spaces
Lists spaces in a given project and location.
patch PATCH /v1alpha/{space.name=projects/*/locations/*/spaces/*}
Updates a space.
registerAppHubApplicationResources POST /v1alpha/{parent=projects/*/locations/*}/spaces:registerAppHubApplicationResources
Register deployed resources from terraform state file with App Hub without needing a space.
registerApphubResources POST /v1alpha/{parent=projects/*/locations/*/spaces/*}:registerApphubResources
Registers a list of deployed GCP resources with App Hub.
registerDeployedResources POST /v1alpha/{parent=projects/*/locations/*/spaces/*}:registerDeployedResources
Register deployed resources from terraform state file with App Hub.
setIamPolicy POST /v1alpha/{resource=projects/*/locations/*/spaces/*}:setIamPolicy
Sets the access control policy on the specified resource.
testIamPermissions POST /v1alpha/{resource=projects/*/locations/*/spaces/*}:testIamPermissions
Returns permissions that a caller has on the specified resource.

REST Resource: v1alpha.projects.locations.spaces.applicationTemplates

Methods
commit POST /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:commit
Commits an application template to create a new revision.
create POST /v1alpha/{parent=projects/*/locations/*/spaces/*}/applicationTemplates
Creates an application template.
delete DELETE /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}
Deletes an application template.
export POST /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:export
Exports Terraform files for an application template.
generate POST /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:generate
Generates Terraform files for an application template.
generateAssessmentReport POST /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:generateAssessmentReport
Generate Assessment Reports of an application template.
get GET /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}
Gets details about an application template.
import POST /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:import
Imports to an existing application template from a given shared template.
importIaC POST /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:importIaC
Imports IaC for an application template.
list GET /v1alpha/{parent=projects/*/locations/*/spaces/*}/applicationTemplates
Lists application templates in a given space.
patch PATCH /v1alpha/{applicationTemplate.name=projects/*/locations/*/spaces/*/applicationTemplates/*}
Updates an application template.

REST Resource: v1alpha.projects.locations.spaces.applicationTemplates.components

Methods
create POST /v1alpha/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*}/components
Creates a component.
delete DELETE /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/components/*}
Deletes a component.
get GET /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/components/*}
Gets details about a Component.
list GET /v1alpha/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*}/components
Lists components in an application template.
patch PATCH /v1alpha/{component.name=projects/*/locations/*/spaces/*/applicationTemplates/*/components/*}
Updates a component.

REST Resource: v1alpha.projects.locations.spaces.applicationTemplates.components.connections

Methods
create POST /v1alpha/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*/components/*}/connections
Creates a connection.
delete DELETE /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/components/*/connections/*}
Deletes a connection.
get GET /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/components/*/connections/*}
Gets details about a connection.
list GET /v1alpha/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*/components/*}/connections
Lists connections in an application template.
patch PATCH /v1alpha/{connection.name=projects/*/locations/*/spaces/*/applicationTemplates/*/components/*/connections/*}
Updates a connection.

REST Resource: v1alpha.projects.locations.spaces.applicationTemplates.policies

Methods
create POST /v1alpha/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*}/policies
Creates a policy for an application template.
delete DELETE /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/policies/*}
Deletes a policy.
get GET /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/policies/*}
Policy related APIs.
list GET /v1alpha/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*}/policies
Lists policies for an application template.
patch PATCH /v1alpha/{policy.name=projects/*/locations/*/spaces/*/applicationTemplates/*/policies/*}
Updates a policy.

REST Resource: v1alpha.projects.locations.spaces.applicationTemplates.revisions

Methods
delete DELETE /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/revisions/*}
Deletes an application template revision.
export POST /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/revisions/*}:export
Exports Terraform files for an application template revision.
generate POST /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/revisions/*}:generate
Generates Terraform files for an application template revision.
get GET /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/revisions/*}
Gets details about an application template revision.
list GET /v1alpha/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*}/revisions
Lists application template revisions in a given application template.

REST Resource: v1alpha.projects.locations.spaces.applicationTemplates.systemRevisions

Methods
get GET /v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/systemRevisions/*}
Gets the given application template system revision.
list GET /v1alpha/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*}/systemRevisions
Lists application template system revisions in a given application template.

REST Resource: v1alpha.projects.locations.spaces.applications

Methods
create POST /v1alpha/{parent=projects/*/locations/*/spaces/*}/applications
Creates an application.
delete DELETE /v1alpha/{name=projects/*/locations/*/spaces/*/applications/*}
Deletes an application.
deploy POST /v1alpha/{name=projects/*/locations/*/spaces/*/applications/*}:deploy
Deploys an application.
fetchAssessmentReport GET /v1alpha/{name=projects/*/locations/*/spaces/*/applications/*}:fetchAssessmentReport
Fetches the assessment report of a deployed application if present.
generate POST /v1alpha/{name=projects/*/locations/*/spaces/*/applications/*}:generate
Generates Terraform files for an application.
get GET /v1alpha/{name=projects/*/locations/*/spaces/*/applications/*}
Gets details about an application.
importIaC POST /v1alpha/{name=projects/*/locations/*/spaces/*/applications/*}:importIaC
Imports IaC for an application resource.
list GET /v1alpha/{parent=projects/*/locations/*/spaces/*}/applications
Lists applications in a given space.
patch PATCH /v1alpha/{application.name=projects/*/locations/*/spaces/*/applications/*}
Updates an application.
preview POST /v1alpha/{name=projects/*/locations/*/spaces/*/applications/*}:preview
Previews deployment of an application.
register POST /v1alpha/{name=projects/*/locations/*/spaces/*/applications/*}:register
Register deployed application from terraform state file with App Hub.

REST Resource: v1alpha.projects.locations.spaces.catalogs

Methods
create POST /v1alpha/{parent=projects/*/locations/*/spaces/*}/catalogs
Creates a catalog.
delete DELETE /v1alpha/{name=projects/*/locations/*/spaces/*/catalogs/*}
Deletes a catalog.
get GET /v1alpha/{name=projects/*/locations/*/spaces/*/catalogs/*}
Gets details about a catalog.
list GET /v1alpha/{parent=projects/*/locations/*/spaces/*}/catalogs
Lists catalogs in a given space.
patch PATCH /v1alpha/{catalog.name=projects/*/locations/*/spaces/*/catalogs/*}
Updates a catalog.

REST Resource: v1alpha.projects.locations.spaces.catalogs.shares

Methods
create POST /v1alpha/{parent=projects/*/locations/*/spaces/*/catalogs/*}/shares
Shares a catalog from one space to another space.
delete DELETE /v1alpha/{name=projects/*/locations/*/spaces/*/catalogs/*/shares/*}
Deletes a catalog share.
get GET /v1alpha/{name=projects/*/locations/*/spaces/*/catalogs/*/shares/*}
Get catalog share object for the space.
list GET /v1alpha/{parent=projects/*/locations/*/spaces/*/catalogs/*}/shares
Lists catalog share objects for the space.
sync POST /v1alpha/{name=projects/*/locations/*/spaces/*/catalogs/*/shares/*}:sync
Synchronizes a share and updates the destination workspace to reflect.

REST Resource: v1alpha.projects.locations.spaces.catalogs.templates

Methods
create POST /v1alpha/{parent=projects/*/locations/*/spaces/*/catalogs/*}/templates
Adds a template to a catalog.
delete DELETE /v1alpha/{name=projects/*/locations/*/spaces/*/catalogs/*/templates/*}
Deletes a catalog template.
get GET /v1alpha/{name=projects/*/locations/*/spaces/*/catalogs/*/templates/*}
Gets a catalog template.
list GET /v1alpha/{parent=projects/*/locations/*/spaces/*/catalogs/*}/templates
Lists catalog templates.
patch PATCH /v1alpha/{catalogTemplate.name=projects/*/locations/*/spaces/*/catalogs/*/templates/*}
Updates a catalog template resource.

REST Resource: v1alpha.projects.locations.spaces.catalogs.templates.revisions

Methods
create POST /v1alpha/{parent=projects/*/locations/*/spaces/*/catalogs/*/templates/*}/revisions
Creates a template revision.
delete DELETE /v1alpha/{name=projects/*/locations/*/spaces/*/catalogs/*/templates/*/revisions/*}
Deletes a template revision.
get GET /v1alpha/{name=projects/*/locations/*/spaces/*/catalogs/*/templates/*/revisions/*}
Gets details about a template revision.
list GET /v1alpha/{parent=projects/*/locations/*/spaces/*/catalogs/*/templates/*}/revisions
Lists template revisions.

REST Resource: v1alpha.projects.locations.spaces.sharedTemplates

Methods
get GET /v1alpha/{name=projects/*/locations/*/spaces/*/sharedTemplates/*}
Gets details about a shared template.
list GET /v1alpha/{parent=projects/*/locations/*/spaces/*}/sharedTemplates
Lists shared templates in a given space.

REST Resource: v1alpha.projects.locations.spaces.sharedTemplates.revisions

Methods
get GET /v1alpha/{name=projects/*/locations/*/spaces/*/sharedTemplates/*/revisions/*}
Gets details about a shared template revision.
list GET /v1alpha/{parent=projects/*/locations/*/spaces/*/sharedTemplates/*}/revisions
Lists shared template revisions in a given space.

REST Resource: v1.projects.locations

Methods
fetchFrameworks GET /v1/{parent=projects/*/locations/*}:fetchFrameworks
Fetches all frameworks for assessment report.
get GET /v1/{name=projects/*/locations/*}
Gets information about a location.
list GET /v1/{name=projects/*}/locations
Lists information about the supported locations for this service.

REST Resource: v1.projects.locations.operations

Methods
cancel POST /v1/{name=projects/*/locations/*/operations/*}:cancel
Starts asynchronous cancellation on a long-running operation.
delete DELETE /v1/{name=projects/*/locations/*/operations/*}
Deletes a long-running operation.
get GET /v1/{name=projects/*/locations/*/operations/*}
Gets the latest state of a long-running operation.
list GET /v1/{name=projects/*/locations/*}/operations
Lists operations that match the specified filter in the request.

REST Resource: v1.projects.locations.spaces

Methods
create POST /v1/{parent=projects/*/locations/*}/spaces
Creates a space.
delete DELETE /v1/{name=projects/*/locations/*/spaces/*}
Deletes a space.
generateAssessmentReport POST /v1/{spaceName=projects/*/locations/*/spaces/*}:generateAssessmentReport
Generate a best practice report for a given Terraform plan.
get GET /v1/{name=projects/*/locations/*/spaces/*}
Gets details about a space.
getIamPolicy GET /v1/{resource=projects/*/locations/*/spaces/*}:getIamPolicy
Gets the access control policy for a resource.
list GET /v1/{parent=projects/*/locations/*}/spaces
Lists spaces in a given project and location.
patch PATCH /v1/{space.name=projects/*/locations/*/spaces/*}
Updates a space.
registerAppHubApplicationResources POST /v1/{parent=projects/*/locations/*}/spaces:registerAppHubApplicationResources
Register deployed resources from terraform state file with App Hub without needing a space.
setIamPolicy POST /v1/{resource=projects/*/locations/*/spaces/*}:setIamPolicy
Sets the access control policy on the specified resource.
testIamPermissions POST /v1/{resource=projects/*/locations/*/spaces/*}:testIamPermissions
Returns permissions that a caller has on the specified resource.

REST Resource: v1.projects.locations.spaces.applicationTemplates

Methods
commit POST /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:commit
Commits an application template to create a new revision.
create POST /v1/{parent=projects/*/locations/*/spaces/*}/applicationTemplates
Creates an application template.
delete DELETE /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}
Deletes an application template.
export POST /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:export
Exports Terraform files for an application template.
generate POST /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:generate
Generates Terraform files for an application template.
generateAssessmentReport POST /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:generateAssessmentReport
Generate Assessment Reports of an application template.
get GET /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}
Gets details about an application template.
import POST /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:import
Imports to an existing application template from a given shared template.
importIaC POST /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:importIaC
Imports IaC for an application template.
list GET /v1/{parent=projects/*/locations/*/spaces/*}/applicationTemplates
Lists application templates in a given space.
patch PATCH /v1/{applicationTemplate.name=projects/*/locations/*/spaces/*/applicationTemplates/*}
Updates an application template.

REST Resource: v1.projects.locations.spaces.applicationTemplates.components

Methods
create POST /v1/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*}/components
Creates a component.
delete DELETE /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/components/*}
Deletes a component.
get GET /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/components/*}
Gets details about a Component.
list GET /v1/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*}/components
Lists components in an application template.
patch PATCH /v1/{component.name=projects/*/locations/*/spaces/*/applicationTemplates/*/components/*}
Updates a component.

REST Resource: v1.projects.locations.spaces.applicationTemplates.components.connections

Methods
create POST /v1/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*/components/*}/connections
Creates a connection.
delete DELETE /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/components/*/connections/*}
Deletes a connection.
get GET /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/components/*/connections/*}
Gets details about a connection.
list GET /v1/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*/components/*}/connections
Lists connections in an application template.
patch PATCH /v1/{connection.name=projects/*/locations/*/spaces/*/applicationTemplates/*/components/*/connections/*}
Updates a connection.

REST Resource: v1.projects.locations.spaces.applicationTemplates.policies

Methods
create POST /v1/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*}/policies
Creates a policy for an application template.
delete DELETE /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/policies/*}
Deletes a policy.
get GET /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/policies/*}
Policy related APIs.
list GET /v1/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*}/policies
Lists policies for an application template.
patch PATCH /v1/{policy.name=projects/*/locations/*/spaces/*/applicationTemplates/*/policies/*}
Updates a policy.

REST Resource: v1.projects.locations.spaces.applicationTemplates.revisions

Methods
delete DELETE /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/revisions/*}
Deletes an application template revision.
export POST /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/revisions/*}:export
Exports Terraform files for an application template revision.
generate POST /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/revisions/*}:generate
Generates Terraform files for an application template revision.
get GET /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/revisions/*}
Gets details about an application template revision.
list GET /v1/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*}/revisions
Lists application template revisions in a given application template.

REST Resource: v1.projects.locations.spaces.applicationTemplates.systemRevisions

Methods
get GET /v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*/systemRevisions/*}
Gets the given application template system revision.
list GET /v1/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*}/systemRevisions
Lists application template system revisions in a given application template.

REST Resource: v1.projects.locations.spaces.applications

Methods
create POST /v1/{parent=projects/*/locations/*/spaces/*}/applications
Creates an application.
delete DELETE /v1/{name=projects/*/locations/*/spaces/*/applications/*}
Deletes an application.
deploy POST /v1/{name=projects/*/locations/*/spaces/*/applications/*}:deploy
Deploys an application.
fetchAssessmentReport GET /v1/{name=projects/*/locations/*/spaces/*/applications/*}:fetchAssessmentReport
Fetches the assessment report of a deployed application if present.
generate POST /v1/{name=projects/*/locations/*/spaces/*/applications/*}:generate
Generates Terraform files for an application.
get GET /v1/{name=projects/*/locations/*/spaces/*/applications/*}
Gets details about an application.
importIaC POST /v1/{name=projects/*/locations/*/spaces/*/applications/*}:importIaC
Imports IaC for an application resource.
list GET /v1/{parent=projects/*/locations/*/spaces/*}/applications
Lists applications in a given space.
patch PATCH /v1/{application.name=projects/*/locations/*/spaces/*/applications/*}
Updates an application.
preview POST /v1/{name=projects/*/locations/*/spaces/*/applications/*}:preview
Previews deployment of an application.

REST Resource: v1.projects.locations.spaces.catalogs

Methods
create POST /v1/{parent=projects/*/locations/*/spaces/*}/catalogs
Creates a catalog.
delete DELETE /v1/{name=projects/*/locations/*/spaces/*/catalogs/*}
Deletes a catalog.
get GET /v1/{name=projects/*/locations/*/spaces/*/catalogs/*}
Gets details about a catalog.
list GET /v1/{parent=projects/*/locations/*/spaces/*}/catalogs
Lists catalogs in a given space.
patch PATCH /v1/{catalog.name=projects/*/locations/*/spaces/*/catalogs/*}
Updates a catalog.

REST Resource: v1.projects.locations.spaces.catalogs.shares

Methods
create POST /v1/{parent=projects/*/locations/*/spaces/*/catalogs/*}/shares
Shares a catalog from one space to another space.
delete DELETE /v1/{name=projects/*/locations/*/spaces/*/catalogs/*/shares/*}
Deletes a catalog share.
get GET /v1/{name=projects/*/locations/*/spaces/*/catalogs/*/shares/*}
Get catalog share object for the space.
list GET /v1/{parent=projects/*/locations/*/spaces/*/catalogs/*}/shares
Lists catalog share objects for the space.
sync POST /v1/{name=projects/*/locations/*/spaces/*/catalogs/*/shares/*}:sync
Synchronizes a share and updates the destination workspace to reflect.

REST Resource: v1.projects.locations.spaces.catalogs.templates

Methods
create POST /v1/{parent=projects/*/locations/*/spaces/*/catalogs/*}/templates
Adds a template to a catalog.
delete DELETE /v1/{name=projects/*/locations/*/spaces/*/catalogs/*/templates/*}
Deletes a catalog template.
get GET /v1/{name=projects/*/locations/*/spaces/*/catalogs/*/templates/*}
Gets a catalog template.
list GET /v1/{parent=projects/*/locations/*/spaces/*/catalogs/*}/templates
Lists catalog templates.
patch PATCH /v1/{catalogTemplate.name=projects/*/locations/*/spaces/*/catalogs/*/templates/*}
Updates a catalog template resource.

REST Resource: v1.projects.locations.spaces.catalogs.templates.revisions

Methods
create POST /v1/{parent=projects/*/locations/*/spaces/*/catalogs/*/templates/*}/revisions
Creates a template revision.
delete DELETE /v1/{name=projects/*/locations/*/spaces/*/catalogs/*/templates/*/revisions/*}
Deletes a template revision.
get GET /v1/{name=projects/*/locations/*/spaces/*/catalogs/*/templates/*/revisions/*}
Gets details about a template revision.
list GET /v1/{parent=projects/*/locations/*/spaces/*/catalogs/*/templates/*}/revisions
Lists template revisions.

REST Resource: v1.projects.locations.spaces.sharedTemplates

Methods
get GET /v1/{name=projects/*/locations/*/spaces/*/sharedTemplates/*}
Gets details about a shared template.
list GET /v1/{parent=projects/*/locations/*/spaces/*}/sharedTemplates
Lists shared templates in a given space.

REST Resource: v1.projects.locations.spaces.sharedTemplates.revisions

Methods
get GET /v1/{name=projects/*/locations/*/spaces/*/sharedTemplates/*/revisions/*}
Gets details about a shared template revision.
list GET /v1/{parent=projects/*/locations/*/spaces/*/sharedTemplates/*}/revisions
Lists shared template revisions in a given space.